Add a Payee Address
curl --request POST \
--url https://api.paywint.com/api/platform/cross-border/payee/address/{user_id} \
--header 'Content-Type: application/json' \
--header 'X-Platform-ID: <x-platform-id>' \
--header 'X-Signature: <x-signature>' \
--data '
{
"name": "John",
"last_name": "Smith",
"address_line_1": "123 Main Street, Apt 4B",
"city": "New York",
"state": "NY",
"country": "IN",
"payee_id": "f47ac10b-****-****-****-0e02b2c3d479",
"zipcode": "10001"
}
'import requests
url = "https://api.paywint.com/api/platform/cross-border/payee/address/{user_id}"
payload = {
"name": "John",
"last_name": "Smith",
"address_line_1": "123 Main Street, Apt 4B",
"city": "New York",
"state": "NY",
"country": "IN",
"payee_id": "f47ac10b-****-****-****-0e02b2c3d479",
"zipcode": "10001"
}
headers = {
"X-Platform-ID": "<x-platform-id>",
"X-Signature": "<x-signature>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Platform-ID': '<x-platform-id>',
'X-Signature': '<x-signature>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'John',
last_name: 'Smith',
address_line_1: '123 Main Street, Apt 4B',
city: 'New York',
state: 'NY',
country: 'IN',
payee_id: 'f47ac10b-****-****-****-0e02b2c3d479',
zipcode: '10001'
})
};
fetch('https://api.paywint.com/api/platform/cross-border/payee/address/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.paywint.com/api/platform/cross-border/payee/address/{user_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'John',
'last_name' => 'Smith',
'address_line_1' => '123 Main Street, Apt 4B',
'city' => 'New York',
'state' => 'NY',
'country' => 'IN',
'payee_id' => 'f47ac10b-****-****-****-0e02b2c3d479',
'zipcode' => '10001'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Platform-ID: <x-platform-id>",
"X-Signature: <x-signature>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.paywint.com/api/platform/cross-border/payee/address/{user_id}"
payload := strings.NewReader("{\n \"name\": \"John\",\n \"last_name\": \"Smith\",\n \"address_line_1\": \"123 Main Street, Apt 4B\",\n \"city\": \"New York\",\n \"state\": \"NY\",\n \"country\": \"IN\",\n \"payee_id\": \"f47ac10b-****-****-****-0e02b2c3d479\",\n \"zipcode\": \"10001\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Platform-ID", "<x-platform-id>")
req.Header.Add("X-Signature", "<x-signature>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.paywint.com/api/platform/cross-border/payee/address/{user_id}")
.header("X-Platform-ID", "<x-platform-id>")
.header("X-Signature", "<x-signature>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"John\",\n \"last_name\": \"Smith\",\n \"address_line_1\": \"123 Main Street, Apt 4B\",\n \"city\": \"New York\",\n \"state\": \"NY\",\n \"country\": \"IN\",\n \"payee_id\": \"f47ac10b-****-****-****-0e02b2c3d479\",\n \"zipcode\": \"10001\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.paywint.com/api/platform/cross-border/payee/address/{user_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Platform-ID"] = '<x-platform-id>'
request["X-Signature"] = '<x-signature>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"John\",\n \"last_name\": \"Smith\",\n \"address_line_1\": \"123 Main Street, Apt 4B\",\n \"city\": \"New York\",\n \"state\": \"NY\",\n \"country\": \"IN\",\n \"payee_id\": \"f47ac10b-****-****-****-0e02b2c3d479\",\n \"zipcode\": \"10001\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Operation completed.",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"address_line_1": "<string>",
"city": "<string>",
"state": "<string>",
"zipcode": "<string>",
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_name": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"queryGeneratedTime": 1718006400
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Add a Payee Address
Adds a cross-border address for a payee.
Identify the payee by payee_id (the payee’s user id). Send the payee’s name and address fields
(with the country as an ISO2 code). Each field only accepts values within the maximum length allowed
by the payee rules for the destination country — see GET /cross-border/payee-rules. Returns the
created cross-border address.
POST
/
api
/
platform
/
cross-border
/
payee
/
address
/
{user_id}
Add a Payee Address
curl --request POST \
--url https://api.paywint.com/api/platform/cross-border/payee/address/{user_id} \
--header 'Content-Type: application/json' \
--header 'X-Platform-ID: <x-platform-id>' \
--header 'X-Signature: <x-signature>' \
--data '
{
"name": "John",
"last_name": "Smith",
"address_line_1": "123 Main Street, Apt 4B",
"city": "New York",
"state": "NY",
"country": "IN",
"payee_id": "f47ac10b-****-****-****-0e02b2c3d479",
"zipcode": "10001"
}
'import requests
url = "https://api.paywint.com/api/platform/cross-border/payee/address/{user_id}"
payload = {
"name": "John",
"last_name": "Smith",
"address_line_1": "123 Main Street, Apt 4B",
"city": "New York",
"state": "NY",
"country": "IN",
"payee_id": "f47ac10b-****-****-****-0e02b2c3d479",
"zipcode": "10001"
}
headers = {
"X-Platform-ID": "<x-platform-id>",
"X-Signature": "<x-signature>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Platform-ID': '<x-platform-id>',
'X-Signature': '<x-signature>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'John',
last_name: 'Smith',
address_line_1: '123 Main Street, Apt 4B',
city: 'New York',
state: 'NY',
country: 'IN',
payee_id: 'f47ac10b-****-****-****-0e02b2c3d479',
zipcode: '10001'
})
};
fetch('https://api.paywint.com/api/platform/cross-border/payee/address/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.paywint.com/api/platform/cross-border/payee/address/{user_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'John',
'last_name' => 'Smith',
'address_line_1' => '123 Main Street, Apt 4B',
'city' => 'New York',
'state' => 'NY',
'country' => 'IN',
'payee_id' => 'f47ac10b-****-****-****-0e02b2c3d479',
'zipcode' => '10001'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Platform-ID: <x-platform-id>",
"X-Signature: <x-signature>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.paywint.com/api/platform/cross-border/payee/address/{user_id}"
payload := strings.NewReader("{\n \"name\": \"John\",\n \"last_name\": \"Smith\",\n \"address_line_1\": \"123 Main Street, Apt 4B\",\n \"city\": \"New York\",\n \"state\": \"NY\",\n \"country\": \"IN\",\n \"payee_id\": \"f47ac10b-****-****-****-0e02b2c3d479\",\n \"zipcode\": \"10001\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Platform-ID", "<x-platform-id>")
req.Header.Add("X-Signature", "<x-signature>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.paywint.com/api/platform/cross-border/payee/address/{user_id}")
.header("X-Platform-ID", "<x-platform-id>")
.header("X-Signature", "<x-signature>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"John\",\n \"last_name\": \"Smith\",\n \"address_line_1\": \"123 Main Street, Apt 4B\",\n \"city\": \"New York\",\n \"state\": \"NY\",\n \"country\": \"IN\",\n \"payee_id\": \"f47ac10b-****-****-****-0e02b2c3d479\",\n \"zipcode\": \"10001\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.paywint.com/api/platform/cross-border/payee/address/{user_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Platform-ID"] = '<x-platform-id>'
request["X-Signature"] = '<x-signature>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"John\",\n \"last_name\": \"Smith\",\n \"address_line_1\": \"123 Main Street, Apt 4B\",\n \"city\": \"New York\",\n \"state\": \"NY\",\n \"country\": \"IN\",\n \"payee_id\": \"f47ac10b-****-****-****-0e02b2c3d479\",\n \"zipcode\": \"10001\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Operation completed.",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"address_line_1": "<string>",
"city": "<string>",
"state": "<string>",
"zipcode": "<string>",
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_name": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"queryGeneratedTime": 1718006400
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Headers
Path Parameters
Body
application/json
Cross-border payee address create. Identify the payee by payee_id (the payee's user id).
Deliberately carries only the fields a cross-border payee needs — no address_line_2 or
company_name (unlike the general ExternalContactAddressCreate).
Response
Successful Response

